# Uses of Interface
org.opensaml.saml.saml2.metadata.ArtifactResolutionService

Packages that use ArtifactResolutionService
Package
Description
org.opensaml.saml.metadata.generator.impl
Implementation of Velocity-based metadata generation.
org.opensaml.saml.saml2.binding.decoding.impl
SAML 2.0 message decoders.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of ArtifactResolutionService in org.opensaml.saml.metadata.generator.impl

Methods in org.opensaml.saml.metadata.generator.impl that return ArtifactResolutionService
Modifier and Type
Method
Description
`ArtifactResolutionService`
ArtifactResolutionServiceConverter.`apply(String value, List<String> protocols)`

## Uses of ArtifactResolutionService in org.opensaml.saml.saml2.binding.decoding.impl

Fields in org.opensaml.saml.saml2.binding.decoding.impl with type parameters of type ArtifactResolutionService
Modifier and Type
Field
Description
`private EndpointResolver<ArtifactResolutionService>`
HTTPArtifactDecoder.`artifactEndpointResolver`
Resolver for ArtifactResolutionService endpoints.
Methods in org.opensaml.saml.saml2.binding.decoding.impl that return types with arguments of type ArtifactResolutionService
Modifier and Type
Method
Description
`EndpointResolver<ArtifactResolutionService>`
HTTPArtifactDecoder.`getArtifactEndpointResolver()`
Get the artifact endpoint resolver.
Method parameters in org.opensaml.saml.saml2.binding.decoding.impl with type arguments of type ArtifactResolutionService
Modifier and Type
Method
Description
`void`
HTTPArtifactDecoder.`setArtifactEndpointResolver(EndpointResolver<ArtifactResolutionService> resolver)`
Set the artifact endpoint resolver.

## Uses of ArtifactResolutionService in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return ArtifactResolutionService
Modifier and Type
Method
Description
`ArtifactResolutionService`
SSODescriptor.`getDefaultArtifactResolutionService()`
Gets the default artifact resolution service.
Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type ArtifactResolutionService
Modifier and Type
Method
Description
`List<ArtifactResolutionService>`
SSODescriptor.`getArtifactResolutionServices()`
Gets a list of artifact resolution services for this service.

## Uses of ArtifactResolutionService in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement ArtifactResolutionService
Modifier and Type
Class
Description
`class`
`ArtifactResolutionServiceImpl`
Concrete implementation of `ArtifactResolutionService`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type ArtifactResolutionService
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<ArtifactResolutionService>`
SSODescriptorImpl.`artifactResolutionServices`
Supported artifact resolutions services.
Methods in org.opensaml.saml.saml2.metadata.impl that return ArtifactResolutionService
Modifier and Type
Method
Description
`ArtifactResolutionService`
ArtifactResolutionServiceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`ArtifactResolutionService`
ArtifactResolutionServiceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`ArtifactResolutionService`
SSODescriptorImpl.`getDefaultArtifactResolutionService()`
Gets the default artifact resolution service.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type ArtifactResolutionService
Modifier and Type
Method
Description
`List<ArtifactResolutionService>`
SSODescriptorImpl.`getArtifactResolutionServices()`
Gets a list of artifact resolution services for this service.